Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractDependencyMetaData.LifecycleDependencyItem

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.dependency.plugins.AbstractDependencyItem
              org.jboss.beans.metadata.plugins.AbstractDependencyMetaData.LifecycleDependencyItem

All Implemented Interfaces:
  Cloneable, org.jboss.dependency.spi.DependencyItem, org.jboss.util.JBossInterface

Enclosing class:
  AbstractDependencyMetaData

public class AbstractDependencyMetaData.LifecycleDependencyItem
extends org.jboss.dependency.plugins.AbstractDependencyItem

A LifecycleDependencyItem.

Field Summary

Fields inherited from class org.jboss.util.JBossObject
`hashCode, toString`

Constructor Summary
`AbstractDependencyMetaData.LifecycleDependencyItem(Object name, org.jboss.dependency.spi.ControllerState state)` Create a new LifecycleDependencyItem.

Methods inherited from class org.jboss.dependency.plugins.AbstractDependencyItem
`addDependsOnMe, getDependentState, getIDependOn, getName, getWhenRequired, isResolved, resolve, setIDependOn, setResolved, toShortString, toString, unresolved`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractDependencyMetaData.LifecycleDependencyItem

    public AbstractDependencyMetaData.LifecycleDependencyItem(Object name,
                                                              org.jboss.dependency.spi.ControllerState state)

  Create a new LifecycleDependencyItem.

Parameters:
  `name` - the name
  `state` - the state

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.